# sqlsrv_configure

(No version information available, might only be in Git)

sqlsrv_configure — Cambia la configuración de los drivers del gestionador de errores y de log

### Descripción

sqlsrv_configure(string `$setting`, mixed `$value`): bool

Cambia la configuración de los drivers del gestionador de errores y de log.

### Parámetros

`setting`

  El nombre de la propiedad a configurar. Los valores posibles son "WarningsReturnAsErrors", "LogSubsystems", and "LogSeverity".

`value`

  El valor de la propiedad especificada. La tabla siguiente muestra los valores posibles:

  Opciones de configuración de la gestión de errores y log
  Propiedades | Opciones
  --- | ---
  WarningsReturnAsErrors | 1 (`true`) or 0 (`false`)
  LogSubsystems | SQLSRV_LOG_SYSTEM_ALL (-1) SQLSRV_LOG_SYSTEM_CONN (2) SQLSRV_LOG_SYSTEM_INIT (1) SQLSRV_LOG_SYSTEM_OFF (0) SQLSRV_LOG_SYSTEM_STMT (4) SQLSRV_LOG_SYSTEM_UTIL (8)
  LogSeverity | SQLSRV_LOG_SEVERITY_ALL (-1) SQLSRV_LOG_SEVERITY_ERROR (1) SQLSRV_LOG_SEVERITY_NOTICE (4) SQLSRV_LOG_SEVERITY_WARNING (2)

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.

### Ver también

- » Gestionador de errores SQLSRV.
- » Actividad de log de SQLSRV.